<%= content_tag :div,
      class: ['block-container', f.object.block_name.dasherize] do %>
  <%= content_tag :div, class: 'block-controls' do %>
    <a href="#" class="control-display">
      <i class='fa fa-chevron-down fa-fw'></i>
    </a>

    <%= content_tag :span, f.object.block_name.titleize, class: 'block-type' %>

    <%= f.text_field :title, placeholder: 'Label', class: 'block-label' %>

    <a href="#" class="control-destroy right">
      <i class='destroy fa fa-trash-o'></i>
    </a>
  <% end %>

  <%= f.inputs class: 'block-fields inputs' do %>
    <%= f.input :type, as: :hidden %>
    <%= f.input :_destroy, as: :hidden,
                input_html: { class: 'block-remove' } %>
    <%= f.input :position, as: :hidden,
                input_html: { class: 'block-position' } %>
     <div class="layout-controls">
      <%= f.input :content_alignment, as: :radio, include_blank: false,
                  collection: blocks_content_alignments, :wrapper_html => { class: 'layout-group' }, :input_html => { class: 'with-icon' }, :label => "Alignment" %>
      <%= f.input :margin, as: :radio, collection: blocks_margins,
                  include_blank: false, :wrapper_html => { :class => "layout-group" }, :input_html => { class: 'with-icon' } %>
      <%= f.input :arrangement, as: :radio, collection: blocks_arrangements,
                  include_blank: false, :wrapper_html => { :class => "layout-group" }, :input_html => { class: 'with-icon' } %>
    </div>
    <div class="block-fields">
      <%= render "admin/#{f.object.type.underscore}_fields", :f => f %>
    </div>
    <% end %>
<% end %>
